Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.soap.v11
Class SOAPEnvelope

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.soap.v11.SOAPEnvelope`

public class SOAPEnvelope
extends XMLElement

A SOAP v1.1 Envelope element. The envelope contains a required Body child element and an optional Header child element.

Since:
  2.1
See Also:
  `SOAPFault`

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`SOAPEnvelope(org.w3c.dom.Document owner)` Creates a new v1.1 `SOAPEnvelope` instance in the given owner document, but does not appended the Envelope element to the document node.
`SOAPEnvelope(org.w3c.dom.Element env)` Creates a `SOAPEnvelope` instance for the given SOAP-ENV:Envelope element.
`SOAPEnvelope(org.w3c.dom.Element env, java.lang.String systemId)` Creates a `SOAPEnvelope` instance for the given SOAP-ENV:Envelope element.

Method Summary
`void` | `addBodyElement(org.w3c.dom.Element bodyElement)` Add a body entry to the Body child of this SOAP Envelope.
`void` | `addBodyElement(XMLElement bodyElement)` Add a body entry to the Body child of this SOAP Envelope.
`void` | `addHeaderElement(org.w3c.dom.Element headerElement)` Adds a header entry to the Header child of this SOAP Envelope.
`void` | `addHeaderElement(XMLElement headerElement)` Add a header entry to the Header child of this SOAP Envelope.
`SOAPFault` | `addSOAPFault(java.lang.String faultCode, java.lang.String faultString)` Create a new SOAP-ENV:Fault element with the given fault code and fault string and add it to the Body child of this SOAP Envelope.
`org.w3c.dom.Element` | `getBody()` Get the Body child element of this SOAP Envelope.
`java.util.List` | `getBodyElements()` Get all the Body entries in the Body child element of the this SOAP Envelope.
`java.util.List` | `getBodyElementsByTagNameNS(java.lang.String nsURI, java.lang.String localName)` Get all the Body entries with the given namespace URI and local name in the Body child element of the this SOAP Envelope.
`org.w3c.dom.Element` | `getHeader()` Get the Header child element of this SOAP Envelope.
`java.util.List` | `getHeaderElements()` Get all the Header entries in the Header child element of this SOAP Envelope.
`java.util.List` | `getHeaderElements(boolean mustUnderstand)` Get all the Header entries in the Header element for the given mustUnderstand setting.
`java.util.List` | `getHeaderElements(java.lang.String actor)` Get all the Header entries in the Header element for the given actor.
`SOAPFault` | `getSOAPFault()` Get the SOAP-ENV:Fault body element in this SOAP Envelope.

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SOAPEnvelope

    public SOAPEnvelope(org.w3c.dom.Document owner)
                 throws org.w3c.dom.DOMException

  Creates a new v1.1 `SOAPEnvelope` instance in the given owner document, but does not appended the Envelope element to the document node. The default prefix for the SOAP Envelope namespace is used, and a SOAP-ENV:Body child element is also created.
Parameters:
  `owner` - The document to contain the SOAP-ENV:Envelope.

### SOAPEnvelope

    public SOAPEnvelope(org.w3c.dom.Element env)
                 throws org.w3c.dom.DOMException

  Creates a `SOAPEnvelope` instance for the given SOAP-ENV:Envelope element.
Parameters:
  `env` - A SOAP Envelope element.

### SOAPEnvelope

    public SOAPEnvelope(org.w3c.dom.Element env,
                        java.lang.String systemId)
                 throws org.w3c.dom.DOMException

  Creates a `SOAPEnvelope` instance for the given SOAP-ENV:Envelope element.
Parameters:
  `env` - A SOAP Envelope element.
  `systemId` - The URI string system ID for the `SOAPEnvelope`.

Method Detail

### addHeaderElement

    public void addHeaderElement(org.w3c.dom.Element headerElement)
                          throws org.w3c.dom.DOMException

  Adds a header entry to the Header child of this SOAP Envelope. A header entry must be an namespace-qualified element.
  Parameters:
    `headerElement` - An XML element specifies a header entry (block) for this SOAP Envelope.
  Throws:
    `org.w3c.dom.DOMException`

### addHeaderElement

    public void addHeaderElement(XMLElement headerElement)
                          throws org.w3c.dom.DOMException

  Add a header entry to the Header child of this SOAP Envelope. A header entry must be an namespace-qualified element.
  Parameters:
    `headerElement` - An XMLElement that specifies a header entry (block) for this SOAP Envelope.
  Throws:
    `org.w3c.dom.DOMException`

### addBodyElement

    public void addBodyElement(org.w3c.dom.Element bodyElement)
                        throws org.w3c.dom.DOMException

  Add a body entry to the Body child of this SOAP Envelope. A body entry must be a namespace-qualified element.
  Parameters:
    `bodyElement` - A XML element specifies a body entry (block) for this SOAP Envelope.
  Throws:
    `org.w3c.dom.DOMException`

### addBodyElement

    public void addBodyElement(XMLElement bodyElement)
                        throws org.w3c.dom.DOMException

  Add a body entry to the Body child of this SOAP Envelope. A body entry must be a namespace-qualified element.
  Parameters:
    `bodyElement` - An `XMLElement` object specifies a body entry (block) for this SOAP Envelope.
  Throws:
    `org.w3c.dom.DOMException`

### addSOAPFault

    public SOAPFault addSOAPFault(java.lang.String faultCode,
                                  java.lang.String faultString)
                           throws org.w3c.dom.DOMException

  Create a new SOAP-ENV:Fault element with the given fault code and fault string and add it to the Body child of this SOAP Envelope.
  Parameters:
    `faultCode` - A string that specifies the text value of the faultcode element.
    `faultString` - A string that specifies the human-readable text value of the faultstring element.
  Returns:
    The new `XMLSOAPFault` instance created.
  Throws:
    `org.w3c.dom.DOMException`

### getHeader

    public org.w3c.dom.Element getHeader()

  Get the Header child element of this SOAP Envelope.
  Returns:
    An XML element for the Header or `null` if the Header is not specified.

### getHeaderElements

    public java.util.List getHeaderElements()

  Get all the Header entries in the Header child element of this SOAP Envelope.
  Returns:
    A `List` of `org.w3c.dom.Element`s for all the header entries in this SOAP Envelope.

### getHeaderElements

    public java.util.List getHeaderElements(java.lang.String actor)

  Get all the Header entries in the Header element for the given actor.
  Parameters:
    `actor` - A URI string specifying the actor of the header entries.
  Returns:
    A `List` of `org.w3c.dom.Element`s for all the header entries in this SOAP Envelope with the specified actor or role attribute value.

### getHeaderElements

    public java.util.List getHeaderElements(boolean mustUnderstand)

  Get all the Header entries in the Header element for the given mustUnderstand setting.
  Returns:
    A `List` of `org.w3c.dom.Element`s for all the header entries in this SOAP Envelope with the specified SOAP-ENV:mustUnderstand attribute value.

### getBody

    public org.w3c.dom.Element getBody()

  Get the Body child element of this SOAP Envelope.
  Returns:
    An XML element for the Body child of this SOAP Envelope, or `null` if none is present.

### getBodyElements

    public java.util.List getBodyElements()

  Get all the Body entries in the Body child element of the this SOAP Envelope.
  Returns:
    A `List` of XML element for all the Body entries in this SOAP Envelope.

### getBodyElementsByTagNameNS

    public java.util.List getBodyElementsByTagNameNS(java.lang.String nsURI,
                                                     java.lang.String localName)

  Get all the Body entries with the given namespace URI and local name in the Body child element of the this SOAP Envelope.
  Parameters:
    `nsURI` - The namespace URI of the elements to match on. The special value "*" matches all namespaces.
    `localName` - The local name of the elements to match on. The special value "*" matches all local names.
  Returns:
    A `List` of XML elements for all matched the Body entries.

### getSOAPFault

    public SOAPFault getSOAPFault()

  Get the SOAP-ENV:Fault body element in this SOAP Envelope.
  Returns:
    A `SOAPFault` instance, or `null` if no SOAP-ENV:Fault entry is present in the Body child.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.